Skip to main content

Get Checkpoint Status

Required role: read or higher.

Retrieve status of checkpoint activity in a pipeline.

Path Parameters
pipeline_name string REQUIRED

Unique pipeline name

Query Parameters
incarnation_uuid uuid

Incarnation UUID returned by the POST checkpoint request this status check is for. If given and it does not match the pipeline's current incarnation, the pipeline process has restarted since the checkpoint was requested and the response is a 400 error rather than a status.

Responses
200

Checkpoint status retrieved successfully

Schema OPTIONAL
failure object OPTIONAL

Information about a failed checkpoint.

error string

Error message associated with the failure.

failed_at date-time

When the failure occurred (serialized as ISO 8601).

sequence_number int64

Sequence number of the failed checkpoint.

success int64 OPTIONAL

Most recently successful checkpoint.

400

The given incarnation_uuid does not match the pipeline's current incarnation (error code IncarnationUuidMismatch): the pipeline process has restarted since the checkpoint was requested

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

404

Pipeline with that name does not exist

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.